Bug 1220825 - nslookup doesn't resolve IPv6 addresses by default
Summary: nslookup doesn't resolve IPv6 addresses by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: dualstack 1220694
TreeView+ depends on / blocked
 
Reported: 2015-05-12 14:30 UTC by Nikos Mavrogiannopoulos
Modified: 2017-12-12 10:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:08:44 UTC


Attachments (Terms of Use)
Make nslookup query AAAA records by default (6.64 KB, patch)
2015-08-27 10:21 UTC, Jakub Lužný
no flags Details | Diff

Description Nikos Mavrogiannopoulos 2015-05-12 14:30:10 UTC
Description of problem:

The current system of using different command line options for different versions of the IP stack is broken.  As the IPv6 transition moves ahead its unreasonable to expect the user to do the IP address parsing and decide the correct arguments to use for the specified address. 

nslookup should be able to resolve IPv6 addresses in non-interactive mode and work like traceroute, ssh or all other applications supporting both protocol versions by default.

How reproducible:
Always

Steps to Reproduce:
1. nslookup www.v6.facebook.com

 
Actual results:
www.v6.facebook.com	canonical name = v6.vvv.facebook.com.

Expected results:
v6.vvv.facebook.com	has AAAA address 2a03:2880:20:8f08:face:b00c:0:1


The reverse lookup of IPv6 addresses works as expected.

Comment 1 Jan Kurik 2015-07-15 14:10:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Jakub Lužný 2015-08-27 10:20:19 UTC
I created a patch ( nslookup-query-aaaa-by-default.patch )and sent it to bind-suggests on Aug 21 ( ISC-Bugs #40420 ). No response after a week.

Changes:
1) Modified nslookup's default behavior to host-like behavior. After receiving reply to A query, it sends an AAAA query. This is only default behavior, it's disabled when user specifies type on command line or in interactive mode.

2) Modified the format of printing an AAAA response to be the same like for a A response.

Original:
> star.c10r.facebook.com  has AAAA address 2a03:2880:f01c:2:face:b00c:0:1

Patched:
> Name:   star.c10r.facebook.com
> Address: 2a03:2880:f01c:2:face:b00c:0:1

3) Disabled "Authoritative answers can be found from:" output for AAAA query, as it was already disabled for A query and I don't see any reason for different behavior

Comment 3 Jakub Lužný 2015-08-27 10:21:56 UTC
Created attachment 1067623 [details]
Make nslookup query AAAA records by default

Comment 5 Tomáš Hozza 🤓 2015-08-27 11:58:04 UTC
Thanks Jakub.

We are still waiting on upstream to respond. Until then this bug will stay as is.

Comment 6 Nikos Mavrogiannopoulos 2016-02-05 11:46:00 UTC
Any update on that? Did upstream consider the patch?

Comment 7 Tomáš Hozza 🤓 2016-02-07 18:33:20 UTC
(In reply to Nikos Mavrogiannopoulos from comment #6)
> Any update on that? Did upstream consider the patch?

No update. Upstream didn't respond to the patch and it is still not merged. BIND upstream is usually slow when accepting changes.

Comment 8 Jan Kurik 2016-02-24 13:24:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 9 Mike McCune 2016-03-28 23:40:50 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 10 Jan Kurik 2016-07-26 05:08:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 11 Fedora Admin XMLRPC Client 2016-12-01 14:21:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Fedora End Of Life 2017-11-16 18:44:17 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2017-12-12 10:08:44 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 14 Nikos Mavrogiannopoulos 2017-12-12 10:54:06 UTC
This seems to be addressed in F27.


Note You need to log in before you can comment on or make changes to this bug.